Subject: bug#52159: closed (Re: bug#52139: jupyter trying to modify /gnu/store)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Dec 2021 13:49:02 +0000

Your bug report

#52139: bug-Guix Digest, Vol 109, Issue 119

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52139: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52139
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52139: jupyter trying to modify /gnu/store
From: Lars-Dominik Braun <[email-masked]>
To: Alexander Asteroth <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Dec 2021 14:48:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Alexander,

> [W 13:52:18.502 LabApp] 500 PUT /lab/api/workspaces/lab?1639227138494 (127.0.0.1): [Errno 30] Read-only file system: '[user]/.guix-profile/etc/jupyter/lab'
I’ve fixed this via
https://github.com/guix-science/guix-science/commit/ca5d2b79cc730f6d52f93f4e7347102b620ed988

Cheers,
Lars

Subject: Re: bug-Guix Digest, Vol 109, Issue 119
From: Alexander Asteroth <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 28 Nov 2021 10:51:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'd like to but feel still too much of a newbie currently. If someone
would point me to the right steps to take, I'd do so - and in future I
will be able to help and contribute (and not just report errors).

Cheers,
Alex

PS: BTW I didn't receive this message directly only found it in the
bug-guix digest. Shouldn't I receive replies to the bug i filed?

On Sun, Nov 28 2021, 02:41:05, [email-masked] wrote:
> ------------------------------
>
> Message: 2
> Date: Sat, 27 Nov 2021 20:08:35 -0500
> From: jgart <[email-masked]>
> To: [email-masked]
> Subject: bug#52139: (no subject)
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8
>
>
> Hi Alex,
>
> Would you like to submit a patch to remove those environment variables from being set in the jupyter package?
>
>